xkb_context Struct Reference

`#include <xkbcommon.h>`

## Public Member Functions

struct xkb_context * | xkb_context_new (enum xkb_context_flags flags)
struct xkb_context * | xkb_context_ref (struct xkb_context *context)
void | xkb_context_unref (struct xkb_context *context)
void | xkb_context_set_user_data (struct xkb_context *context, void *user_data)
void * | xkb_context_get_user_data (struct xkb_context *context)
int | xkb_context_include_path_append (struct xkb_context *context, const char *path)
int | xkb_context_include_path_append_default (struct xkb_context *context)
int | xkb_context_include_path_reset_defaults (struct xkb_context *context)
void | xkb_context_include_path_clear (struct xkb_context *context)
unsigned int | xkb_context_num_include_paths (struct xkb_context *context)
const char * | xkb_context_include_path_get (struct xkb_context *context, unsigned int index)
void | xkb_context_set_log_level (struct xkb_context *context, enum xkb_log_level level)
enum xkb_log_level | xkb_context_get_log_level (struct xkb_context *context)
void | xkb_context_set_log_verbosity (struct xkb_context *context, int verbosity)
int | xkb_context_get_log_verbosity (struct xkb_context *context)
void | xkb_context_set_log_fn (struct xkb_context *context, void(*log_fn)(struct xkb_context *context, enum xkb_log_level level, const char *format, va_list args))

## Detailed Description

Opaque top level library context object.

The context contains various general library data and state, like logging level and include paths.

Objects are created in a specific context, and multiple contexts may coexist simultaneously. Objects from different contexts are completely separated and do not share any memory or state.

The documentation for this struct was generated from the following file:

- xkbcommon/xkbcommon.h